View number of domain queries

Prev Next

Available in Classic and VPC

View the number of queries for all or a specific domain (profile) over a specified time interval.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /gtm/v1/monitoring/query-counts

Request headers

For information about the headers common to all Monitoring APIs, see Monitoring API request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
baseTimeUnit String Required Time interval
  • MINUTE_1 | MINUTE_5 | MINUTE_30 | HOUR_3 | DAY_1
    • MINUTE_1: 1 minute
    • MINUTE_5: 5 minutes
    • MINUTE_30: 30 minutes
    • HOUR_3: 3 hours
    • DAY_1: 1 day
domainId Integer Optional Profile ID

Request example

The following is a sample request.

curl --location --request GET 'https://globaltrafficmanager.apigw.ntruss.com/gtm/v1/monitoring/query-counts?baseTimeUnit=DAY_1' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See DomainQueryResponse for the response body.

Response status codes

For information about the HTTP status codes common to all Monitoring APIs, see Monitoring API response status codes.

Response example

The following is a sample response.

[
    {
        "queryCount": 0,
        "baseTime": 1653663600
    },
    {
        "queryCount": 0,
        "baseTime": 1653750000
    }
]

Error code example

The following is a sample error code.

{
  "result": "FAIL",
  "error": {
    "errorCode": "05X000",
    "message": "Invalid value.<br>Hover your mouse over the displayed area to see the details in a tooltip.",
    "devMessage": "Invalid value.",
    "moreInfo": {
      "validationInfo": [
        {
          "fieldPath": "domainId",
          "msg": "You don't have permissions for the domain or the domain doesn't exist."
        }
      ],
      "timestamp": "2022-11-16T10:28:18.627+09:00"
    }
  }
}